Last Comment Bug 529600 - [AMO] Update addons.mozilla.org on 11/19
: [AMO] Update addons.mozilla.org on 11/19
Status: VERIFIED FIXED
2009-11-19 @ 1700 PST
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-18 11:37 PST by Wil Clouser [:clouserw]
Modified: 2013-10-09 10:29 PDT (History)
8 users (show)
smani: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments
5.3-v2 (723 bytes, text/plain)
2009-11-18 11:37 PST, Wil Clouser [:clouserw]
no flags Details

Description Wil Clouser [:clouserw] 2009-11-18 11:37:54 PST
Created attachment 413139 [details]
5.3-v2

This is an off-AMO-cycle push.  We've fixed a bunch of bugs so far in this cycle and QA is onboard with pushing a portion early.  Steps are below, please paste the output of all commands into this bug.  I don't expect any of these to take long, so a maintenance page is up to you.  Steps to follow:

1) Run the attached SQL.  This is updating a single row.

2) `svn up` addons.mozilla.org.  There are a couple local changes that should be reverted first.

3) Update services.addons.mozilla.org with `svn up`

4) Restart apache to pick up gettext changes

5) Clear all caches (Zeus, memcache, local cake cache) on both AMO and SAMO.

The site is tagged and ready to go.  Please give us a time frame when you will push.
Comment 1 Shyam Mani [:fox2mike] 2009-11-18 20:44:13 PST
Could grab this one.
Comment 2 Jeremy Orem [:oremj] 2009-11-19 14:36:04 PST
mysql> set names utf8;
Query OK, 0 rows affected (0.00 sec)

mysql> 
mysql> UPDATE translations  SET  localized_string='Providers allow you to access a time management system - local, intranet or internet - for reading and writing events and tasks. This can make your data compatible with other software or provide you access to your data from other computers. A popular example is the Provider for Google Calendar extension.',  localized_string_clean='Providers allow you to access a time management system - local, intranet or internet - for reading and writing events and tasks. This can make your data compatible with other software or provide you access to your data from other computers. A popular example is the Provider for Google Calendar extension.'  WHERE autoid=79545;
Query OK, 0 rows affected (0.00 sec)
Rows matched: 1  Changed: 0  Warnings: 0
Comment 3 Wil Clouser [:clouserw] 2009-11-19 15:30:13 PST
We also have three short security-critical patches that are late to the game.  Please apply to AMO after step 2.  From bug 529765 and bug 529768:

https://bugzilla.mozilla.org/attachment.cgi?id=413289
https://bugzilla.mozilla.org/attachment.cgi?id=413419
https://bugzilla.mozilla.org/attachment.cgi?id=413290
Comment 4 Jeremy Orem [:oremj] 2009-11-19 17:11:07 PST
2. Done
2a. patched.
3. Done
4. Done
5. Done
Comment 5 Stephen Donner [:stephend] 2009-11-19 17:38:14 PST
I've tested bug 528589, bug 528318, bug 527121, bug 523372, bug 528349, bug 512568.  We're working on getting the search bugs updated on prod (bug 528942, bug 529866).  Also, need to verify that bug 529646 made it with this push; will do that ASAP.
Comment 6 Stephen Donner [:stephend] 2009-11-19 18:23:52 PST
Bug 528942 and bug 529866 are also verified fixed on production (search is indeed separate).

Wil notes that not all of the 5.4 were tagged, so I've verified that the bugs we tagged for 5.4 were pushed.

Note You need to log in before you can comment on or make changes to this bug.